<?xml version="1.0" encoding="UTF-8"?>
<template xmlns="http://ws.apache.org/ns/synapse" name="invoices_get_invoice_imei_control_entry_st">
    <parameter name="INVOICE_ID"/>
    <parameter name="ENTRY_TYPE"/>
    <sequence>
        <property name="SLT_INTEGRATION_STEP" value="invoices_get_invoice_imei_control_entry_st" scope="default" type="STRING"/>
        <property name="messageType" value="application/xml" scope="axis2" type="STRING"/>
        <payloadFactory media-type="xml">
            <format>
                <dat:getEntryByInvoiceIdAndType xmlns:dat="http://ws.wso2.org/dataservice">
                    <dat:invoice_id>$1</dat:invoice_id>
                    <dat:entry_type>$2</dat:entry_type>
                </dat:getEntryByInvoiceIdAndType>
            </format>
            <args>
                <arg xmlns:ns2="http://org.apache.synapse/xsd" xmlns:ns="http://org.apache.synapse/xsd" evaluator="xml" expression="$func:INVOICE_ID"/>
                <arg xmlns:ns2="http://org.apache.synapse/xsd" xmlns:ns="http://org.apache.synapse/xsd" evaluator="xml" expression="$func:ENTRY_TYPE"/>
            </args>
        </payloadFactory>
        <call>
            <endpoint key="gov:/motorola/invoices/dss/endpoints/InvoicesIMEIIntegrationControl_ep"/>
        </call>
    </sequence>
</template>
